# Ogre::GLPBuffer Class Reference

An off-screen rendering context. More...

`#include <OgreGLPBuffer.h>`

Inheritance diagram for Ogre::GLPBuffer:

List of all members.

## Public Member Functions

| GLPBuffer (PixelComponentType format, size_t width, size_t height)
virtual | ~GLPBuffer ()
virtual GLContext * | getContext ()=0
| Get the GL context that needs to be active to render to this PBuffer.
PixelComponentType | getFormat ()
size_t | getWidth ()
size_t | getHeight ()

## Static Public Member Functions

static PixelComponentType | getPixelComponentType (PixelFormat fmt)
| Get PBuffer component format for an OGRE pixel format.

## Protected Attributes

PixelComponentType | mFormat
size_t | mWidth
size_t | mHeight

## Detailed Description

An off-screen rendering context.

These contexts are always RGBA for simplicity, speed and convience, but the component format is configurable.

Definition at line 35 of file OgreGLPBuffer.h.

## Constructor & Destructor Documentation

Ogre::GLPBuffer::GLPBuffer | ( | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |

virtual Ogre::GLPBuffer::~GLPBuffer | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual GLContext* Ogre::GLPBuffer::getContext | ( |  | ) | `[pure virtual]`

| Get the GL context that needs to be active to render to this PBuffer. Implemented in Ogre::GLXPBuffer, and Ogre::Win32PBuffer.

PixelComponentType Ogre::GLPBuffer::getFormat | ( |  | ) |

| Definition at line 45 of file OgreGLPBuffer.h. References mFormat.

size_t Ogre::GLPBuffer::getHeight | ( | void |  | ) |

| Definition at line 47 of file OgreGLPBuffer.h. References mHeight.

static PixelComponentType Ogre::GLPBuffer::getPixelComponentType | ( | PixelFormat | fmt | ) | `[static]`

| Get PBuffer component format for an OGRE pixel format.

size_t Ogre::GLPBuffer::getWidth | ( | void |  | ) |

| Definition at line 46 of file OgreGLPBuffer.h. References mWidth.

## Member Data Documentation

PixelComponentType Ogre::GLPBuffer::mFormat `[protected]`

| Definition at line 53 of file OgreGLPBuffer.h. Referenced by getFormat().

size_t Ogre::GLPBuffer::mHeight `[protected]`

| Definition at line 54 of file OgreGLPBuffer.h. Referenced by getHeight().

size_t Ogre::GLPBuffer::mWidth `[protected]`

| Definition at line 54 of file OgreGLPBuffer.h. Referenced by getWidth().

The documentation for this class was generated from the following file:

- OgreGLPBuffer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:49:09 2006